Subject: Re: Problem compiling perl module Term::ReadKey under cygwin
From: Steve Kelem <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Wed, 14 Jun 2000 10:24:52 -0700

"Charles S. Wilson" wrote:

> *I* know of no problems using cpan updates with my perl -- it works fine
> for me. I haven't tried Term::ReadKey though.

Can you give it a try? If it works for you, then the problem is something on
my system.  If it fails for you,
then it's probably a more general problem.  I run:

perl -MCPAN -e shell
install Term::ReadKey

> However, your problem is different. It's because of a recent change to
> cygwin -- see the recent cygwin mailing list thread entitled 'Wierd
> patch problem' starting with
> http://sourceware.cygnus.com/ml/cygwin/2000-05/msg00671.html
>
> The change to cygwin is that ANY path that contains a backslash is
> interpreted as a windows path, so /tmp\cc001120.base becomes "CURRENT
> DRIVE:\\tmp\\cc001181.base".
>
> I think you need to create a \tmp directory in the root of the drive in
> which you're building. So, if you're building in /usr/local/ and /usr is
> mounted from F:\cygwin, then create F:\tmp

I have cygwin installed in H:\. There is a tmp directory in H:\..  There is no
special mount for /tmp.
$TMP points to C:\TEMP, which also exists.

Steve
--
Want to unsubscribe from this list?
Send a message to [email-masked]